<template lang="pug">
  RouterLink.icon-link(:to="to")
    FontAwesomeIcon(:icon="icon")
</template>

<script>
export default {
  name: 'IconLink',

  props: {
    to: {
      type: [String, Object],
      default: '',
    },

    icon: {
      required: true,
      type: String,
    },
  },
};
</script>

<style lang="stylus" scoped>
.icon-link
  display inline-flex
  justify-content center
  align-items center
  width 42px
  height 42px
  border-radius 50%
  color var(--font-primary)
  &:active
    background-color var(--secondary)
    color var(--font-light)
</style>
